ClientPCSCProtocol (Java Card 3 Platform, APDU I/O Library)
Date: 2009-11-05

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.apduio
Class ClientPCSCProtocol

    java.lang.Object
      com.sun.javacard.apduio.ClientProtocol
          com.sun.javacard.apduio.ClientPCSCProtocol

    public class ClientPCSCProtocol

extends ClientProtocol

The ClientPCSCProtocol class manages the client (terminal) side of the PCSC exchange with a CAD. In a future release, when JSR 268 (communication between JavaSE and Smart Cards) is implemented, the methods from this class must be rewritten to call corresponding new API methods.

Field Summary
`protected static java.util.ResourceBundle` | `_messages`
`protected com.sun.javacard.jpcsclite.ConnectionType` | `ctx`

Fields inherited from class com.sun.javacard.apduio.ClientProtocol
`cad`

Constructor Summary
`ClientPCSCProtocol()` Constructs a new instance.

Method Summary
`void` | `closeCard()`
`void` | `exchangeApdu(Apdu apdu)` Exchange an APDU with a CAD.
`boolean` | `getAuto61xx()` Processing of code 61xx is done automatically by PCSC
`byte[]` | `openCard(int readerNumber)`
`void` | `setAuto61xx(boolean state)` Processing of code 61xx is done automatically by PCSC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected com.sun.javacard.jpcsclite.ConnectionType ctx

### _messages

    protected static java.util.ResourceBundle _messages

Constructor Detail

### ClientPCSCProtocol

    public ClientPCSCProtocol()

  Constructs a new instance.

  Parameters:
    `cad` - The Cad object which all IO will be done through.

Method Detail

### setAuto61xx

    public void setAuto61xx(boolean state)

  Processing of code 61xx is done automatically by PCSC

  Parameters:
    `Ignored.` -

### getAuto61xx

    public boolean getAuto61xx()

  Processing of code 61xx is done automatically by PCSC

  Returns:
    true always

### exchangeApdu

    public void exchangeApdu(Apdu apdu)
                      throws java.io.IOException

  Exchange an APDU with a CAD.

  Specified by:
    `exchangeApdu` in class `ClientProtocol`
  Parameters:
    `apdu` - The APDU to exchange.
  Throws:
    `java.io.IOException`

### openCard

    public byte[] openCard(int readerNumber)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### closeCard

    public void closeCard()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.